#ifndef _PTDACIO_VC_H
#define _PTDACIO_VC_H

/* Platform specific / serial port functions */
int  SerialOpenPort(char *port);     // 9600
int  SerialOpenPortFast(char *port); // 115200
int  SerialOpenPortBad(char *port);  // 19200
void SerialClosePort();
int  SerialWriteCh(int byte);
unsigned int SerialReadCh(void);

int SerialWriteCh(int byte);      // returns 1 for success
unsigned int SerialReadCh(void);  // returns character or -1 for error

/* Common functions */
int WriteDigitalPORT(char portch, int value);
int SetDigitalPORT(char portch, int value);
int ReadDigitalPORT(char portch);
int Get_PORTA_Value(int ch);

int Get_ModuleID(void);
int Get_ModuleSoftwareVersion(void);

void pause(void);
void short_delay(void);
void SerialWriteString(char *s);

#endif


